SELECT
' ' AS `ลำดับ`,
concat(substr(v.visitdate,9,2),'/',substr(v.visitdate,6,2),'/',substr(v.visitdate,1,4)+543) AS `วันที่รับบริการ`,
p.idcard AS `เลขที่บัตรประจำตัวบุคคล 13 หลัก`,
p.pid AS HN,
CONCAT(p.fname,' ',p.lname) AS `ชื่อ สกุล`,
v.pcucode AS `รหัสสถานพยาบาลที่รักษา`,
v2.diagcode AS 'การวินิจฉัยโรค(รหัส ICD)',
v.money1 AS 'ค่ารักษา(บาท)'
FROM
person AS p
INNER JOIN visit AS v ON p.pcucodeperson = v.pcucodeperson AND p.pid = v.pid
INNER JOIN visitdiag AS v2 ON v.pcucode = v2.pcucode AND v.visitno = v2.visitno
WHERE
v.visitdate BETWEEN '20141001' AND '20150930'
AND v2.diagcode LIKE 'I%'

ORDER BY v.visitdate;
